POST
/v1/inventory/seasonal-factorsPOST /v1/inventory/seasonal-factors
Scopes: inventory:seasonal_factors:write
Requires scope: inventory:seasonal_factors:write.
Request body
| Field | Type | Required | Description |
|---|---|---|---|
name | string | no | |
factor_value | number<double> | no | |
period_type | string | no | |
start_date | string | no | |
end_date | string | no |
Response (200)
| Field | Type | Required | Description |
|---|---|---|---|
id | integer<int32> | no | |
name | string | no | |
factor_value | number<double> | no | |
period_type | string | no | |
start_date | string | no | |
end_date | string | no |
Examples
import { SolidCommerceClient } from '@solidcommerce/sdk';
const client = new SolidCommerceClient({
apiKey: process.env.SOLIDCOMMERCE_API_KEY!,
});
const { data, error } = await client.raw.POST('/v1/inventory/seasonal-factors', {
// params: { path: { id: '...' }, query: { limit: 25 } },
// body: { /* request body */ },
});
if (error) throw error;
console.log(data);